getTradeStatusesForOffering

Returns an array of trade IDs and current trade statuses associated with a specific Offering ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
offeringIdyesstringOffering ID that is generated by the API when an offering is created (createOffering)
tradeStatusnostringTrade Status (Filter): CREATED | FUNDED | UNWIND PENDING | UNWIND SETTLED | SETTLED - will display trades with the selected status

Sample Request

curl -k -X POST https://tapi.norcapsecurities.com/getTradeStatusesForOffering
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d offeringId=8139
-d tradeStatus=CREATED

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
Offering Purchased DetailsstringReturns an array of offering trades history

Sample Response

{
  "statusCode": "101",
  "statusDesc": "Ok",
  "Offering purchased details": [  
     {
            "tradeId": "114431043",
            "accountId": "A49501",
            "transactionType": "CreditCard",
            "totalShares": "800.000000",
            "unitPrice": "2.449500",
            "totalAmount": "1959.600000",
            "tradeStatus": "CREATED",
            "RRApprovalStatus": "Pending",
            "PrincipalApprovalStatus": "Pending",
            "field1": "",
            "field2": "",
            "field3": "",
            "esignStatus": "NOTSIGNED"
        }
]

Test it Yourself!

Body Params
string
required
string
required
string
required
string
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!